/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomProgressEvent_H___INT_
#define __GdomProgressEvent_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomEvent.h"
#include "GDOMObject.h"
#include "ProgressEvent.h"
G_BEGIN_DECLS
class GDOMProgressEvent : public GDOMEvent {
    typedef GDOMEvent Base;
public:
    int get_gobj_type() { return GDOM_TYPE_PROGRESS_EVENT; }
    GDOMProgressEvent(PassRefPtr<WebCore::ProgressEvent> impl);
};
G_END_DECLS

#endif /* __GdomProgressEvent_H___INT_*/
